Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy Arkance Systems [www.cadforum.cz]
CZ | SK | EN | DE
Přihlášení
či registrace
   právě nás čte: 3231 
RSS kanál - CAD tipy RSS tipy
RSS diskuze

Diskuze Diskuzní fórum, poradna

 

NápovědaCAD diskuze, rady, výměna zkušeností

 
CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy Arkance Systems (CAD Studio) - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

REFERENČNÍ DÍLY

 Odpovědět Odpovědět archiv
Autor
Spartan54 Zobrazit panel
Diskutér
Diskutér

Přihlášen: 14.dub.2017
Lokalita: ČR (JM)
Používám:
Inventor2017
Stav: Offline
Bodů: 13
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Spartan54 Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: REFERENČNÍ DÍLY
    Zasláno: 26.čer.2024 v 08:57
Dobrý den,
mám vytvořené pravidlo pro automatické vytváření STEPů plechových dílů ze sestavy. Potřebuju, aby pravidlo nevytvořilo STEP ze součásti, která má nastavenou strukturu rozpisky jako referenční. Přidal jsem podmínku : doc.ComponentDefinition.BOMStructure <> "51972".
S touto podmínkou STEP nevytvoří, pokud je struktura rozpisky nastavena přímo na dílu. Pokud změním strukturu rozpisky jenom ve stromu sestavy, tak na díle zůstane normální a STEP se vytvoří.
Nemáte radu jak toto ošetřit?
Zpět nahoru
Spartan54 Zobrazit panel
Diskutér
Diskutér

Přihlášen: 14.dub.2017
Lokalita: ČR (JM)
Používám:
Inventor2017
Stav: Offline
Bodů: 13
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Spartan54 Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 26.čer.2024 v 10:40
Tady je celý kód:

Sub Main ()

'Testuje soubor na sestavu. Nelze spustit z dílu nebo výkresu.
If ThisApplication.ActiveDocument.DocumentType = kAssemblyDocumentObject Then

'Nalezne všechny podsestavy a díly v hlavní sestavě
    Dim SeznamStep As New ArrayList
    Dim doc As Document
    Dim FNamePosStep As Long
    Dim docFNameStep As String
    Dim oDocs As Documents = ThisApplication.Documents
    
    SeznamStep.add(ThisApplication.ActiveDocument.FullFileName)
        For Each doc In ThisApplication.ActiveDocument.AllReferencedDocuments
        FNamePosStep = InStrRev(doc.FullFileName, "\", -1)  
        docFNameStep = Mid(doc.FullFileName, FNamePosStep + 1, Len(doc.FullFileName) - FNamePosStep)
            If doc.DocumentType = kPartDocumentObject And doc.SubType = "{9C464203-9BAE-11D3-8BAD-0060B0CE6BB4}" And iProperties.Value(docFNameStep, "Project", "Project") = Parameter("VÝROBNÍ_ČÍSLO") And doc.ComponentDefinition.BOMStructure <> "51972" And Err.Number = 0 Then
                If iProperties.Value(docFNameStep, "Custom", "He_SkZb") = "201" Then
                SeznamStep.add(doc.FullFileName)
'                MessageBox.Show(doc.FullFileName, "Title")

                doc = oDocs.Open(doc.FullFileName, True)
                auto = iLogicVb.Automation
                auto.RunExternalRule(doc,"TISK PDF_STEP\STEP")
                doc.Close(True)
                End If
            End If
        Next
Else

MessageBox.Show("Testovaný soubor není sestava. Toto pravidlo lze spustit pouze v sestavě.", "Zkontroluj umístění projektu a souburu!")

End If        
        
End Sub

Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 11667:VIPBarevné zvýraznění referenčních součástí v sestavě Inventoru (několik možností).
Tip 10531:Jak zobrazit referenční součást sestavy ve výkresu jako vystínovanou?
Tip 9833:Skrytí souborů obsahového centra v rozpisce Inventoru.
Tip 10851:iLogic - jak ve výkresu zpracovat materiál a cestu součásti?
Tip 9951:iLogic pravidlo - kontrola ručního přepsání iVlastností.
Tip 9476:Ukládání DWG kopie IDW výkresu pojmenované podle revize.


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,625 sekund.